summaryrefslogtreecommitdiffstats
path: root/source.local/a/utempter/utempter.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'source.local/a/utempter/utempter.SlackBuild')
-rwxr-xr-xsource.local/a/utempter/utempter.SlackBuild91
1 files changed, 91 insertions, 0 deletions
diff --git a/source.local/a/utempter/utempter.SlackBuild b/source.local/a/utempter/utempter.SlackBuild
new file mode 100755
index 0000000..5de945a
--- /dev/null
+++ b/source.local/a/utempter/utempter.SlackBuild
@@ -0,0 +1,91 @@
+#!/bin/sh
+
+# Copyright 2008, 2009, 2010 Patrick J. Volkerding, Sebeka, Minnesota, USA
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+# Modified 2012 by Eric Hameleers <alien at slackware.com> for ARM port.
+
+
+PKGNAM=utempter
+VERSION=1.1.5
+BUILD=${BUILD:-1}
+
+# Automatically determine the architecture we're building on:
+MARCH=$( uname -m )
+if [ -z "$ARCH" ]; then
+ case "$MARCH" in
+ i?86) export ARCH=i486 ;;
+ armv7hl) export ARCH=$MARCH ;;
+ arm*) export ARCH=arm ;;
+ # Unless $ARCH is already set, use uname -m for all other archs:
+ *) export ARCH=$MARCH ;;
+ esac
+fi
+
+if [ "$ARCH" = "x86_64" ]; then
+ LIBDIRSUFFIX="64"
+else
+ LIBDIRSUFFIX=""
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp}
+PKG=$TMP/package-$PKGNAM
+rm -rf $PKG
+mkdir -p $TMP $PKG/usr
+
+cd $TMP
+# The original package name was "utempter", but this new version
+# calls itself "libutempter". We'll keep the same old package name
+# to avoid confusing upgrades.
+rm -rf libutempter-$VERSION
+tar xjvf $CWD/libutempter-$VERSION.tar.bz2
+cd libutempter-$VERSION
+chown -R root:root .
+## I see no reason to use different paths than in utempter-0.5.2:
+#zcat $CWD/libutempter.slack.diff.gz | patch -p1 --verbose || exit 1
+find . -perm 664 -exec chmod 644 {} \;
+find . -perm 775 -exec chmod 755 {} \;
+sed -i -e "s#/usr/lib#/usr/lib${LIBDIRSUFFIX}#g" Makefile
+make
+make install DESTDIR=$PKG
+# A static libutempter seems like a bad idea, since it wouldn't work
+# without the making utempter binary. That and the shared lib are a
+# closely matched set.
+rm -f $PKG/usr/lib${LIBDIRSUFFIX}/libutempter.a
+# Set proper permissions:
+chown root:utmp $PKG/usr/lib${LIBDIRSUFFIX}/utempter/utempter
+chmod 2755 $PKG/usr/lib${LIBDIRSUFFIX}/utempter/utempter
+chmod 644 $PKG/usr/include/utempter.h
+mkdir -p $PKG/usr/doc/$PKGNAM-$VERSION
+cp -a \
+ COPYING README \
+ $PKG/usr/doc/$PKGNAM-$VERSION
+( cd $PKG
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+ find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+)
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+zcat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $TMP/$PKGNAM-$VERSION-$ARCH-$BUILD.txz
+